package se.chalmers.tdv.test;

import static org.junit.Assert.*;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;

import se.chalmers.tdv.ExOne;

public class ExOneTest {

	@Before
	public void setUp() throws Exception {
	}

	@After
	public void tearDown() throws Exception {
	}

	@Test
	public final void testReverseNull() {
		// If you check for coverage with ElcEmma you can get 100% by
		// uncommenting this line:

		// ExOne e = new ExOne();
		Object[] res = ExOne.reverse(null);
		assertNull(res);
	}

	@Test
	public final void testReverseEmpty() {
		Object[] res = ExOne.reverse(new Object[] {});
		assertArrayEquals(new Object[] {}, res);
	}

	@Test
	public final void testReverseNonEmpty() {
		Object[] res = ExOne.reverse(new Object[] { 1, 2, 3 });
		assertArrayEquals(new Object[] { 3, 2, 1 }, res);
	}

}
